> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.taigabilling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.taigabilling.com/_mcp/server.

# Pre Encounter Coverages V 1 Check Eligibility

POST https://api.taigabilling.com/coverages/v1/{id}/eligibility
Content-Type: application/json

Initiates an eligibility check. Returns the metadata of the check if successfully initiated.

Reference: https://docs.taigabilling.com/api-reference/pre-encounter-coverages-v-1/pre-encounter-coverages-v-1-check-eligibility

## Authentication

- `Authorization` header (bearer token, required) — Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

## Servers

- `https://api.taigabilling.com` (Production, default)
- `https://api-staging.taigabilling.com` (Staging)

## Request

### Path parameters

- `id` (string, required) — The unique identifier for a Coverage in the database

### Body (application/json)

This endpoint expects an object.

- `service_code` (enum, required) — Code identifying the type of service or benefit within a specific insurance policy (X12 008010 Element 1365)
  - Allowed values: `1`, `2`, `3`, `4`, `5`, `6`, `7`, `8`, `9`, `10`, `11`, `12`, `13`, `14`, `15`, `16`, `17`, `18`, `19`, `20`, `21`, `22`, `23`, `24`, `25`, `26`, `27`, `28`, `30`, `32`, `33`, `34`, `35`, `36`, `37`, `38`, `39`, `40`, `41`, `42`, `43`, `44`, `45`, `46`, `47`, `48`, `49`, `50`, `51`, `52`, `53`, `54`, `55`, `56`, `57`, `58`, `59`, `60`, `61`, `62`, `63`, `64`, `65`, `66`, `67`, `68`, `69`, `70`, `71`, `72`, `73`, `74`, `75`, `76`, `77`, `78`, `79`, `80`, `81`, `82`, `83`, `84`, `85`, `86`, `87`, `88`, `89`, `90`, `91`, `92`, `93`, `94`, `95`, `96`, `97`, `98`, `99`, `A0`, `A1`, `A2`, `A3`, `A4`, `A5`, `A6`, `A7`, `A8`, `A9`, `AA`, `AB`, `AC`, `AD`, `AE`, `AF`, `AG`, `AH`, `AI`, `AJ`, `AK`, `AL`, `AM`, `AN`, `AO`, `AQ`, `AR`, `B1`, `B2`, `B3`, `BA`, `BB`, `BC`, `BD`, `BE`, `BF`, `BG`, `BH`, `BI`, `BJ`, `BK`, `BL`, `BM`, `BN`, `BP`, `BQ`, `BR`, `BS`, `BT`, `BU`, `BV`, `BW`, `BX`, `BY`, `BZ`, `C1`, `CA`, `CB`, `CC`, `CD`, `CE`, `CF`, `CG`, `CH`, `CI`, `CJ`, `CK`, `CL`, `CM`, `CN`, `CO`, `CP`, `CQ`, `DG`, `DM`, `DS`, `GF`, `GN`, `GY`, `IC`, `MH`, `NI`, `ON`, `PT`, `PU`, `RN`, `RT`, `TC`, `TN`, `UC`
- `date_of_service` (date, required)
- `npi` (string, required)

## Response

### 200

- `check_id` (string, required)
- `service_code` (enum, required) — Code identifying the type of service or benefit within a specific insurance policy (X12 008010 Element 1365)
  - Allowed values: `1`, `2`, `3`, `4`, `5`, `6`, `7`, `8`, `9`, `10`, `11`, `12`, `13`, `14`, `15`, `16`, `17`, `18`, `19`, `20`, `21`, `22`, `23`, `24`, `25`, `26`, `27`, `28`, `30`, `32`, `33`, `34`, `35`, `36`, `37`, `38`, `39`, `40`, `41`, `42`, `43`, `44`, `45`, `46`, `47`, `48`, `49`, `50`, `51`, `52`, `53`, `54`, `55`, `56`, `57`, `58`, `59`, `60`, `61`, `62`, `63`, `64`, `65`, `66`, `67`, `68`, `69`, `70`, `71`, `72`, `73`, `74`, `75`, `76`, `77`, `78`, `79`, `80`, `81`, `82`, `83`, `84`, `85`, `86`, `87`, `88`, `89`, `90`, `91`, `92`, `93`, `94`, `95`, `96`, `97`, `98`, `99`, `A0`, `A1`, `A2`, `A3`, `A4`, `A5`, `A6`, `A7`, `A8`, `A9`, `AA`, `AB`, `AC`, `AD`, `AE`, `AF`, `AG`, `AH`, `AI`, `AJ`, `AK`, `AL`, `AM`, `AN`, `AO`, `AQ`, `AR`, `B1`, `B2`, `B3`, `BA`, `BB`, `BC`, `BD`, `BE`, `BF`, `BG`, `BH`, `BI`, `BJ`, `BK`, `BL`, `BM`, `BN`, `BP`, `BQ`, `BR`, `BS`, `BT`, `BU`, `BV`, `BW`, `BX`, `BY`, `BZ`, `C1`, `CA`, `CB`, `CC`, `CD`, `CE`, `CF`, `CG`, `CH`, `CI`, `CJ`, `CK`, `CL`, `CM`, `CN`, `CO`, `CP`, `CQ`, `DG`, `DM`, `DS`, `GF`, `GN`, `GY`, `IC`, `MH`, `NI`, `ON`, `PT`, `PU`, `RN`, `RT`, `TC`, `TN`, `UC`
- `status` (enum, required) — enum to represent the status of an eligibility checks
  - Allowed values: `COMPLETED`, `FAILED`, `PENDING`
- `initiated_by` (string, required) — The unique identifier for a User in the database
- `initiated_at` (datetime, required)

## Examples

**Request**

```json
{
  "service_code": "1",
  "date_of_service": "2023-01-15",
  "npi": "string"
}
```

**Response**

```json
{
  "check_id": "string",
  "service_code": "1",
  "status": "COMPLETED",
  "initiated_by": "string",
  "initiated_at": "2024-01-15T09:30:00Z"
}
```

**SDK Code**

```python
import requests

url = "https://api.taigabilling.com/coverages/v1/id/eligibility"

payload = {
    "service_code": "1",
    "date_of_service": "2023-01-15",
    "npi": "string"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```